Subject: bug#77113: closed (Re: bug#77113: [PATCH] Use default print settings in nnfeed--write-server)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 05 Apr 2025 10:38:02 +0000

Your bug report

#77113: [PATCH] Use default print settings in nnfeed--write-server

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77113: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77113
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77113: [PATCH] Use default print settings in nnfeed--write-server
From: Eli Zaretskii <[email-masked]>
To: Daniel Semyonov <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 05 Apr 2025 13:36:52 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Daniel Semyonov <[email-masked]>
> Cc: James Thomas <[email-masked]>,  [email-masked]
> Date: Sat, 05 Apr 2025 12:00:57 +0300
> 
> >>>>> Eli Zaretskii writes:
> 
>     >> Cc: [email-masked]
>     >> Date: Wed, 19 Mar 2025 15:49:06 +0530
>     >> From:  James Thomas via "Bug reports for GNU Emacs,
>     >> the Swiss army knife of text editors" <[email-masked]>
>     >> 
>     >> I suppose it'd be possible to construct an adversarial example that
>     >> would cause the current code to fail, but this should be
>     >> uncontroversial. I've had occassional problems that it seems to fix.
>     >> 
>     >> Ref:
>     >> https://lists.gnu.org/archive/html/info-gnus-english/2025-03/msg00020.html
> 
>     > Daniel, any comments?
> 
> Yes, this should be applied.
> Sorry I thought I already replied to this, but I replied on the Gnus
> mailing list.

Thanks, done, and closing the bug.

Subject: [PATCH] Use default print settings in nnfeed--write-server
From: James Thomas <[email-masked]>
To: [email-masked]
Date: Wed, 19 Mar 2025 15:49:06 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

I suppose it'd be possible to construct an adversarial example that
would cause the current code to fail, but this should be
uncontroversial. I've had occassional problems that it seems to fix.

Ref:
https://lists.gnu.org/archive/html/info-gnus-english/2025-03/msg00020.html

From 0334c958c73790264938c579c35b8124856f7287 Mon Sep 17 00:00:00 2001
From: James Thomas <[email-masked]>
Date: Fri, 14 Mar 2025 15:54:31 +0530
Subject: [PATCH] * lisp/gnus/nnfeed.el (nnfeed--write-server):

Use default print settings.
---
 lisp/gnus/nnfeed.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/gnus/nnfeed.el b/lisp/gnus/nnfeed.el
index ffea063038e..f6cca1e5d76 100644
--- a/lisp/gnus/nnfeed.el
+++ b/lisp/gnus/nnfeed.el
@@ -294,7 +294,7 @@ nnfeed--write-server
                ((hash-table-p s)))
           (with-temp-file f
             (insert ";;;; -*- mode: lisp-data -*- DO NOT EDIT\n")
-            (prin1 s (current-buffer))
+            (prin1 s (current-buffer) t)
             (insert "\n")
             t)
         t)
--
2.46.0

--